ALR-CONFIG(1)

NAME
alr-config - List, Get, Set or Unset configuration options

SYNOPSIS

alr config [options] [--list] [--show-origin] [key_regex] | --get <key> | --set <key> <value> | --unset <key>

OPTIONS

--list
    List configuration options

--show-origin
    Show origin of configuration values in --list

--get
    Print value of a configuration option

--set
    Set a configuration option

--unset
    Unset a configuration option

--global
    Set and Unset global configuration instead of the local one

--builtins-doc
    Print Markdown list of built-in configuration options

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION
Provides a command line interface to the Alire configuration option files.

SEE ALSO
alr(1), alr-printenv(1), alr-toolchain(1), alr-version(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution